Index: buildrom-devel/packages/kernel/serengeti_cheetah-kernel-x86_64.mk
===================================================================
--- buildrom-devel/packages/kernel/serengeti_cheetah-kernel-x86_64.mk	(revision 0)
+++ buildrom-devel/packages/kernel/serengeti_cheetah-kernel-x86_64.mk	(revision 0)
@@ -0,0 +1,26 @@
+# Build file for the AMD Serengeti_Cheetah LAB kernel
+
+KERNEL_URL=http://kernel.org/pub/linux/kernel/v2.6/
+KERNEL_SOURCE=linux-$(KERNEL_VERSION).tar.bz2
+KERNEL_CONFIG=$(PACKAGE_DIR)/kernel/conf/defconfig-serengeti_cheetah-x86_64
+KERNEL_SPEED_BUILD=-j 6
+
+TINY_URL=http://elinux.org/images/0/0e/
+TINY_SOURCE=Tiny-quilt-2.6.22.1-1.tar.gz
+TINY_DIR=$(KERNEL_DIR)/tiny/patches
+
+KERNEL_PATCHES += $(TINY_DIR)
+
+$(SOURCE_DIR)/$(KERNEL_SOURCE):
+	@ mkdir -p $(SOURCE_DIR)
+	@ wget -P $(SOURCE_DIR) $(KERNEL_URL)/$(KERNEL_SOURCE)
+
+$(SOURCE_DIR)/$(TINY_SOURCE):
+	@ mkdir -p $(SOURCE_DIR)
+	@ wget -P $(SOURCE_DIR) $(TINY_URL)/$(TINY_SOURCE)
+
+include $(PACKAGE_DIR)/kernel/kernel.inc
+
+kernel: generic-kernel
+kernel-clean: generic-kernel-clean
+kernel-distclean: generic-kernel-distclean
Index: buildrom-devel/packages/linuxbios/patches/serengeti_cheetah-lab.patch
===================================================================
--- buildrom-devel/packages/linuxbios/patches/serengeti_cheetah-lab.patch	(revision 0)
+++ buildrom-devel/packages/linuxbios/patches/serengeti_cheetah-lab.patch	(revision 0)
@@ -0,0 +1,98 @@
+Index: svn/targets/amd/serengeti_cheetah/Config.lb
+===================================================================
+--- svn/targets/amd/serengeti_cheetah/Config.lb	(revision 2950)
++++ svn/targets/amd/serengeti_cheetah/Config.lb	(working copy)
+@@ -5,81 +5,20 @@
+ target serengeti_cheetah
+ mainboard amd/serengeti_cheetah
+ 
+-# serengeti_leopard
+-romimage "normal"
+-#       48K for SCSI FW
+-#        option ROM_SIZE = 475136
+-#       48K for SCSI FW and 48K for ATI ROM
+-#       option ROM_SIZE = 425984 
+-#       64K for Etherboot
+-#        option ROM_SIZE = 458752 
+-	option USE_FAILOVER_IMAGE=0
+-	option USE_FALLBACK_IMAGE=0
+-#	option ROM_IMAGE_SIZE=0x13800
+-#	option ROM_IMAGE_SIZE=0x18800
+-	option ROM_IMAGE_SIZE=0x20000
+-#	option ROM_IMAGE_SIZE=0x15800
+-	option XIP_ROM_SIZE=0x40000
+-	option LINUXBIOS_EXTRA_VERSION="$(shell cat ../../VERSION)_Normal"
+-#       payload ../../../payloads/tg3--ide_disk.zelf
+-#        payload ../../../payloads/filo.elf
+-#        payload ../../../payloads/filo_mem.elf
+-#        payload ../../../payloads/filo.zelf
+-#        payload ../../../payloads/tg3--filo_hda2.zelf
+-#	payload ../../../payloads/tg3.zelf
+-#	payload ../../../../payloads/tg3_vga.zelf
+-#	payload ../../../../payloads/tg3--filo_hda2_vga.zelf
+-	payload ../../../../payloads/tg3--filo_hda2_vga_5.4.1.zelf
+-#	payload ../../../../payloads/e1000_vga.zelf
+-#	payload ../../../../payloads/tg3--filo_hda2_vga_5_4.zelf
+-#	payload ../../../payloads/tg3_com2.zelf
+-#       payload ../../../payloads/e1000--filo.zelf
+-#        payload ../../../payloads/tg3--e1000--filo.zelf
+-#        payload ../../../payloads/tg3--eepro100--e1000--filo_hda2.zelf
+-#	payload ../../../payloads/tg3--eepro100--e1000--filo_hda2_5.3.zelf
+-#	payload ../../../payloads/tg3--eepro100--e1000--filo_hda2_com2.zelf
+-end
++option ROM_SIZE = 0x100000
++option USE_FAILOVER_IMAGE=0
++option HAVE_FAILOVER_BOOT=0
++option FAILOVER_SIZE=0
+ 
+-romimage "fallback" 
+-	option USE_FAILOVER_IMAGE=0
++romimage "fallback"
++	option CONFIG_PRECOMPRESSED_PAYLOAD=1
++	option CONFIG_COMPRESSED_PAYLOAD_LZMA=1
++	option FALLBACK_SIZE=ROM_SIZE
+ 	option USE_FALLBACK_IMAGE=1
+-#	option ROM_IMAGE_SIZE=0x13800
+-#	option ROM_IMAGE_SIZE=0x19800
+-	option ROM_IMAGE_SIZE=0x20000
+-#	option ROM_IMAGE_SIZE=0x15800
++	option ROM_IMAGE_SIZE=0x1a000
+ 	option XIP_ROM_SIZE=0x40000
+-	option LINUXBIOS_EXTRA_VERSION="$(shell cat ../../VERSION)_Fallback"
+-#       payload ../../../payloads/tg3--ide_disk.zelf
+-#        payload ../../../payloads/filo.elf
+-#        payload ../../../payloads/filo_mem.elf
+-#        payload ../../../payloads/filo.zelf
+-#        payload ../../../payloads/tg3--filo_hda2.zelf
+-#	payload ../../../payloads/tg3.zelf
+-#	payload ../../../../payloads/tg3_vga.zelf
+-#	payload ../../../../payloads/memtest
+-#	payload ../../../../payloads/adlo.elf
+-#	payload ../../../../payloads/e1000_vga.zelf
+-#	payload ../../../../payloads/filo_hda.zelf
+-#	payload ../../../../payloads/tg3--filo_hda2_vga.zelf
+-#	payload ../../../../payloads/tg3--filo_hda2_vga_5_4.zelf
+-	payload ../../../../payloads/tg3--filo_hda2_vga_5.4.1.zelf
+-#	payload ../../../../payloads/filo_hda2_novga.zelf
+-#	payload ../../../payloads/tg3_com2.zelf
+-#       payload ../../../payloads/e1000--filo.zelf
+-#        payload ../../../payloads/tg3--e1000--filo.zelf
+-#        payload ../../../payloads/tg3--eepro100--e1000--filo_hda2.zelf
+-#	payload ../../../payloads/tg3--eepro100--e1000--filo_hda2_5.3.zelf
+-#	payload ../../../payloads/tg3--eepro100--e1000--filo_hda2_com2.zelf
++	option LINUXBIOS_EXTRA_VERSION="$(shell cat ../../VERSION)_Normal"
++	payload ../payload.elf
+ end
+ 
+-romimage "failover"
+-	option USE_FAILOVER_IMAGE=1
+-        option USE_FALLBACK_IMAGE=0
+-        option ROM_IMAGE_SIZE=FAILOVER_SIZE
+-        option XIP_ROM_SIZE=FAILOVER_SIZE
+-        option LINUXBIOS_EXTRA_VERSION="$(shell cat ../../VERSION)_Failover"
+-end
+-
+-
+-buildrom ./linuxbios.rom ROM_SIZE "normal" "fallback" "failover"
+-#buildrom ./linuxbios.rom ROM_SIZE "normal" "fallback" 
++buildrom ./serengeti_cheetah.rom ROM_SIZE "fallback"
Index: buildrom-devel/packages/linuxbios/patches/serengeti_cheetah-payload.patch
===================================================================
--- buildrom-devel/packages/linuxbios/patches/serengeti_cheetah-payload.patch	(revision 0)
+++ buildrom-devel/packages/linuxbios/patches/serengeti_cheetah-payload.patch	(revision 0)
@@ -0,0 +1,85 @@
+Index: svn/targets/amd/serengeti_cheetah/Config.lb
+===================================================================
+--- svn/targets/amd/serengeti_cheetah/Config.lb	(revision 2880)
++++ svn/targets/amd/serengeti_cheetah/Config.lb	(working copy)
+@@ -5,71 +5,22 @@
+ target serengeti_cheetah
+ mainboard amd/serengeti_cheetah
+ 
+-# serengeti_leopard
+ romimage "normal"
+-#       48K for SCSI FW
+-#        option ROM_SIZE = 475136
+-#       48K for SCSI FW and 48K for ATI ROM
+-#       option ROM_SIZE = 425984 
+-#       64K for Etherboot
+-#        option ROM_SIZE = 458752 
+ 	option USE_FAILOVER_IMAGE=0
+ 	option USE_FALLBACK_IMAGE=0
+-#	option ROM_IMAGE_SIZE=0x13800
+-#	option ROM_IMAGE_SIZE=0x18800
+ 	option ROM_IMAGE_SIZE=0x20000
+-#	option ROM_IMAGE_SIZE=0x15800
+ 	option XIP_ROM_SIZE=0x40000
+ 	option LINUXBIOS_EXTRA_VERSION="$(shell cat ../../VERSION)_Normal"
+-#       payload ../../../payloads/tg3--ide_disk.zelf
+-#        payload ../../../payloads/filo.elf
+-#        payload ../../../payloads/filo_mem.elf
+-#        payload ../../../payloads/filo.zelf
+-#        payload ../../../payloads/tg3--filo_hda2.zelf
+-#	payload ../../../payloads/tg3.zelf
+-#	payload ../../../../payloads/tg3_vga.zelf
+-#	payload ../../../../payloads/tg3--filo_hda2_vga.zelf
+-	payload ../../../../payloads/tg3--filo_hda2_vga_5.4.1.zelf
+-#	payload ../../../../payloads/e1000_vga.zelf
+-#	payload ../../../../payloads/tg3--filo_hda2_vga_5_4.zelf
+-#	payload ../../../payloads/tg3_com2.zelf
+-#       payload ../../../payloads/e1000--filo.zelf
+-#        payload ../../../payloads/tg3--e1000--filo.zelf
+-#        payload ../../../payloads/tg3--eepro100--e1000--filo_hda2.zelf
+-#	payload ../../../payloads/tg3--eepro100--e1000--filo_hda2_5.3.zelf
+-#	payload ../../../payloads/tg3--eepro100--e1000--filo_hda2_com2.zelf
++	payload ../payload.elf
+ end
+ 
+ romimage "fallback" 
+ 	option USE_FAILOVER_IMAGE=0
+ 	option USE_FALLBACK_IMAGE=1
+-#	option ROM_IMAGE_SIZE=0x13800
+-#	option ROM_IMAGE_SIZE=0x19800
+ 	option ROM_IMAGE_SIZE=0x20000
+-#	option ROM_IMAGE_SIZE=0x15800
+ 	option XIP_ROM_SIZE=0x40000
+ 	option LINUXBIOS_EXTRA_VERSION="$(shell cat ../../VERSION)_Fallback"
+-#       payload ../../../payloads/tg3--ide_disk.zelf
+-#        payload ../../../payloads/filo.elf
+-#        payload ../../../payloads/filo_mem.elf
+-#        payload ../../../payloads/filo.zelf
+-#        payload ../../../payloads/tg3--filo_hda2.zelf
+-#	payload ../../../payloads/tg3.zelf
+-#	payload ../../../../payloads/tg3_vga.zelf
+-#	payload ../../../../payloads/memtest
+-#	payload ../../../../payloads/adlo.elf
+-#	payload ../../../../payloads/e1000_vga.zelf
+-#	payload ../../../../payloads/filo_hda.zelf
+-#	payload ../../../../payloads/tg3--filo_hda2_vga.zelf
+-#	payload ../../../../payloads/tg3--filo_hda2_vga_5_4.zelf
+-	payload ../../../../payloads/tg3--filo_hda2_vga_5.4.1.zelf
+-#	payload ../../../../payloads/filo_hda2_novga.zelf
+-#	payload ../../../payloads/tg3_com2.zelf
+-#       payload ../../../payloads/e1000--filo.zelf
+-#        payload ../../../payloads/tg3--e1000--filo.zelf
+-#        payload ../../../payloads/tg3--eepro100--e1000--filo_hda2.zelf
+-#	payload ../../../payloads/tg3--eepro100--e1000--filo_hda2_5.3.zelf
+-#	payload ../../../payloads/tg3--eepro100--e1000--filo_hda2_com2.zelf
++	payload ../payload.elf
+ end
+ 
+ romimage "failover"
+@@ -81,5 +32,4 @@
+ end
+ 
+ 
+-buildrom ./linuxbios.rom ROM_SIZE "normal" "fallback" "failover"
+-#buildrom ./linuxbios.rom ROM_SIZE "normal" "fallback" 
++buildrom ./serengeti_cheetah.rom ROM_SIZE "normal" "fallback" "failover"
Index: buildrom-devel/packages/linuxbios/serengeti_cheetah.mk
===================================================================
--- buildrom-devel/packages/linuxbios/serengeti_cheetah.mk	(revision 0)
+++ buildrom-devel/packages/linuxbios/serengeti_cheetah.mk	(revision 0)
@@ -0,0 +1,44 @@
+# This is the Generic LinuxBIOS target
+
+ifeq ($(CONFIG_PLATFORM),y)
+ifeq ($(LINUXBIOS_TAG),)
+$(error You need to specify a version to pull in your platform config)
+endif
+endif
+
+LINUXBIOS_PATCHES =
+
+# Make sure we have the tools we need to accomplish this
+HAVE_IASL:=$(call find-tool,iasl)
+
+ifeq ($(HAVE_IASL),n)
+$(error To build LinuxBIOS, you need to install the 'iasl' tool)
+endif
+
+ifeq ($(CONFIG_PAYLOAD_LAB),y)
+	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/serengeti_cheetah-lab.patch
+else
+	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/serengeti_cheetah-payload.patch
+endif
+
+LINUXBIOS_BASE_DIR=svn
+LINUXBIOS_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
+LINUXBIOS_TARBALL=linuxbios-svn-$(LINUXBIOS_TAG).tar.gz
+LINUXBIOS_PAYLOAD_TARGET=$(LINUXBIOS_BUILD_DIR)/payload.elf
+TARGET_ROM = $(LINUXBIOS_VENDOR)-$(LINUXBIOS_BOARD).rom
+
+include $(PACKAGE_DIR)/linuxbios/linuxbios.inc
+
+$(SOURCE_DIR)/$(LINUXBIOS_TARBALL):
+	@ echo "Fetching the LinuxBIOS code..."
+	@ mkdir -p $(SOURCE_DIR)/linuxbios
+	@ $(BIN_DIR)/fetchsvn.sh $(LINUXBIOS_URL) $(SOURCE_DIR)/linuxbios \
+	$(LINUXBIOS_TAG) $(SOURCE_DIR)/$(LINUXBIOS_TARBALL) \
+	> $(LINUXBIOS_FETCH_LOG) 2>&1
+
+$(OUTPUT_DIR)/$(TARGET_ROM): $(LINUXBIOS_OUTPUT)
+	@ cp $< $@
+
+linuxbios: $(OUTPUT_DIR)/$(TARGET_ROM)
+linuxbios-clean: generic-linuxbios-clean
+linuxbios-distclean: generic-linuxbios-distclean
